Skip to main content
GET
/
api
/
v1
/
cashout
/
users
/
{user_id}
curl https://api.zebedee.io/api/v1/cashout/users/4ac4fd8a-cc2c-4d03-af09-a76f4e89d652 \
  -H "apikey: YOUR_API_KEY"
{
  "success": true,
  "data": {
    "id": "4ac4fd8a-cc2c-4d03-af09-a76f4e89d652",
    "reference_id": "player-42",
    "email": "player@example.com",
    "is_id_verified": true
  }
}

Description

Returns the user’s details including their current identity verification status. Use this to check if a user has completed KYC before showing cashout options.

Configuration

Header Parameters

apikey
string
required
Your ZBD project API key (production scope).

Path Parameters

user_id
string
required
The ZBD user ID returned by Create User.
curl https://api.zebedee.io/api/v1/cashout/users/4ac4fd8a-cc2c-4d03-af09-a76f4e89d652 \
  -H "apikey: YOUR_API_KEY"
{
  "success": true,
  "data": {
    "id": "4ac4fd8a-cc2c-4d03-af09-a76f4e89d652",
    "reference_id": "player-42",
    "email": "player@example.com",
    "is_id_verified": true
  }
}